<IoNode_Debug>

    <Cycle n="10">
        <IoNode_Send select="/sender" message="A"/>
    </Cycle>

    <Cycle n="40">
        <IoNode_Send select="/sender2" message="B"/>
    </Cycle>

    <Task n="100">
        <Query select="/" action="stop"/>
    </Task>

    <IoNode_Broadcast name="sender"/>
    <IoNode_Broadcast name="sender2"/>
    <IoNode_Broadcast name="middle"/>
    <IoNode_DebugNode name="receiver"/>
    <IoNode_DebugNode name="receiver2"/>

    <IoNode_Pipe source="/sender" target="/middle"/>
    <IoNode_Pipe source="/sender2" target="/middle"/>
    <IoNode_Pipe source="/middle" target="/receiver"/>
    <IoNode_Pipe source="/middle" target="/receiver2"/>

</IoNode_Debug>
